Documentation Index
Fetch the complete documentation index at: https://docs.memorylake.ai/llms.txt
Use this file to discover all available pages before exploring further.
GET /openapi/memorylake/api/v1/projects/{id}/documents
Returns a paginated list of documents associated with the project.
Path Parameters
Query Parameters
curl -X GET 'https://app.memorylake.ai/openapi/memorylake/api/v1/projects/proj-a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6/documents?page=1&size=20' \
-H 'Authorization: Bearer sk_xxxxxx'
Response
Show Paginated document list
Array of document objects
Processing status: pending, running, okay, or error
Total number of documents
{
"success": true,
"data": {
"items": [
{
"id": "doc-8f86f326d4eb4f7a88cc51c5774cae56",
"name": "report.pdf",
"status": "okay",
"drive_item_id": "sc-4d2beb72e9af4b01:inode-926ead7cac284666",
"created_at": "2024-01-15T10:30:00Z"
}
],
"total": 1,
"page": 1,
"size": 20,
"total_pages": 1
}
}